package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.BasDeptInfoDTO;
import com.diagbot.entity.BasDoctorInfo;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.BasDoctorInfoServiceImpl;
import com.diagbot.util.SysUserUtils;
import com.diagbot.vo.BasDeptInfoVO;
import com.diagbot.vo.data.BasDoctorInfoVO;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @author: cy
 * @time: 2020/12/24 14:38
 */
@Component
public class BasDoctorInfoFacade extends BasDoctorInfoServiceImpl {

    /**
     * 获取医院医生下拉列表信息
     *
     * @param basDoctorInfoVO
     * @return 医院医生下拉列表信息
     */
    public List<BasDoctorInfo> getDoctorByDept(BasDoctorInfoVO basDoctorInfoVO) {
        basDoctorInfoVO.setHospitalId(Long.valueOf(SysUserUtils.getCurrentHospitalID()));
        QueryWrapper<BasDoctorInfo> QueryWrapper = new QueryWrapper<>();
        QueryWrapper.eq("hospital_id",basDoctorInfoVO.getHospitalId());
        QueryWrapper.eq("is_deleted", IsDeleteEnum.N.getKey());
        QueryWrapper.eq("dept_id",basDoctorInfoVO.getDeptId());
        if(StringUtils.isNotEmpty(basDoctorInfoVO.getInputStr())){
            QueryWrapper.like("name",basDoctorInfoVO.getInputStr());
        }
        QueryWrapper.orderByAsc("name");
        List<BasDoctorInfo> list = this.list(QueryWrapper);
        return list;
    }

}
